Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::CLHF Class Reference

CLHF is a Hartree-Fock specialization of CLSCF. More...

`#include <clhf.h>`

Inheritance diagram for sc::CLHF:

[legend]
Collaboration diagram for sc::CLHF:

[legend]
List of all members.

## Public Methods
| CLHF (StateIn &)
| CLHF (const Ref< KeyVal > &)
| ~CLHF ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about the object.
void | two_body_energy (double &ec, double &ex)
int | value_implemented () const
| Information about the availability of values, gradients, and hessians.
int | gradient_implemented () const
## Protected Methods
void | ao_fock (double accuracy)
void | two_body_deriv (double *)

## Detailed Description

CLHF is a Hartree-Fock specialization of CLSCF.

## Member Function Documentation

void sc::CLHF::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::CLSCF.

The documentation for this class was generated from the following file:

- clhf.h